%global pypi_name PyJWT
%global srcname pyjwt
%global commitId 83ff831a4d11190e3a0bed781da43f8d84352653

%if 0%{?rhel} == 8
%global component_prefix 3x
%endif

Name:           python%{?component_prefix}-%{srcname}
Version:        2.4.0
Release:        1%{?dist}
Summary:        JSON Web Token implementation in Python

License:        MIT
URL:            https://github.com/jpadilla/pyjwt
Source0:        python-pyjwt-83ff831a4d11190e3a0bed781da43f8d84352653.tar.gz
BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-rpm-macros
BuildRequires:  python%{python3_pkgversion}-setuptools

%description
PyJWT is a Python library which allows you to encode and decode JSON Web
Tokens (JWT).
JWT is an open, industry-standard (RFC 7519) for representing claims securely
between two parties.

%package -n     python%{python3_pkgversion}-%{srcname}

Summary:        JSON Web Token implementation in Python

Requires:       python%{python3_pkgversion}-cryptography >= 3.3.1

%description -n python%{python3_pkgversion}-%{srcname}
PyJWT is a Python library which allows you to encode and decode JSON Web
Tokens (JWT).
JWT is an open, industry-standard (RFC 7519) for representing claims securely
between two parties.

%prep
%autosetup -n python-%{srcname}-%{commitId}

%build
%{py3_build}

%install
%{py3_install}

%files -n python%{python3_pkgversion}-%{srcname}
%doc CHANGELOG.rst README.rst
%license LICENSE
%{python3_sitelib}/jwt
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Wed Aug 24 2022 Dimitri Savineau <dsavinea@redhat.com> 2.4.0-1
- Initial release
